#
# spec file for package python-padatious
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-padatious
Version:        0.4.7
Release:        lp152.1.1
Summary:        A neural network intent parser
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://github.com/MycroftAI/padatious
# https://github.com/MycroftAI/padatious/issues/14
Source:         https://github.com/MycroftAI/padatious/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module fann2}
BuildRequires:  %{python_module padaos}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module xxhash}
# /SECTION
Requires:       python-fann2
Requires:       python-padaos
Requires:       python-setuptools
Requires:       python-xxhash
BuildArch:      noarch

%python_subpackages

%description
A neural network intent parser used by the Mycroft AI

%prep
%setup -q -n padatious-%{version}
chmod 644 LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# https://github.com/MycroftAI/padatious/issues/15
%python_exec -m pytest -k 'not test_train_timeout_subprocess'

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{python_sitelib}/*
%python3_only %{_bindir}/padatious

%changelog
* Thu Apr 11 2019 pgajdos@suse.com
- version update to 0.4.7
  * Fix bug with loaded intents not training
  * Add train_subprocess for more stable training
  * Skip training if already trained, even if failed
  * Train in a thread so it can be aborted if it takes too long
- run testsuite
- deleted sources
  - LICENSE (not needed)
* Sun Feb 17 2019 Antonio Larrosa <alarrosa@suse.com>
- Update to python-padatious 0.4.6
  * Fix regenerated messages when running pytest
  * Training example impovements (gh#MycroftAI/padatious#10)
  * Join worker pool after close
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Aug 26 2018 alarrosa@suse.com
- Update to python-padatious 0.4.5
  * Add test cases to assert proper selection between perfect matches
  * Fix discriminating against multiple Padaos matches
  * Fix implicit intent training
* Mon Aug 13 2018 alarrosa@suse.com
- Update to python-padatious 0.4.4
  * Fix Padaos not working properly and add exact match tests
* Sun Jul  1 2018 alarrosa@suse.com
- Update to python-padatious 0.4.3
  * Fix missing argument to padaos.add_entity()
- Update to python-padatious 0.4.2
  * Add rule matching layer and support training timeout
- Update to python-padatious 0.4.1
  * Formalize the bracket expansion language in EBNF and add support for
    nested expansions.
* Sun Mar  4 2018 alarrosa@suse.com
- Update to python-padatious 0.4.0
  * Add support for removing intents and entities
- Update to python-padatious 0.3.8
  * Add sentence length to vectorization
- Fix LICENSE url
* Fri Nov 10 2017 alarrosa@suse.com
- Initial version of python-padatious 0.3.7
